Bug 999933 - Search on jobs page (/jobs) should search whiteboard by default (instead of ID)
Search on jobs page (/jobs) should search whiteboard by default (instead of ID)
Status: POST
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
0.14
Unspecified Unspecified
medium Severity unspecified (vote)
: future_maint
: ---
Assigned To: Hui Wang
tools-bugs
: FutureFeature, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 07:41 EDT by Jaroslav Kortus
Modified: 2017-01-19 01:09 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch to search whiteboard by default (604 bytes, patch)
2014-02-05 05:11 EST, Jaroslav Kortus
no flags Details | Diff
search by whiteboard by default (676 bytes, patch)
2014-02-05 05:14 EST, Jaroslav Kortus
no flags Details | Diff

  None (edit)
Description Jaroslav Kortus 2013-08-22 07:41:17 EDT
Description of problem:
When user types any text in the search field on job list page (/jobs) it searches for ID matching the text (exact match).

It should match on whiteboard text instead and operation should be "contains".

Searching whiteboard text by default makes much more sense to me than looking up ID (=more user friendly).

Version-Release number of selected component (if applicable):
0.14.1

How reproducible:
always

Steps to Reproduce:
1. Go to jobs list page (/jobs)
2. Fill in the search field
3. Press Toggle Search and verify that it is looking up by ID

Actual results:
Text search field looking up ID by default, making me unhappy and forcing me to click more.

Expected results:
Search the witeboard (in "contains" mode), allowing me to do less clicking and making me more happy :).

Additional info:
Comment 2 Jaroslav Kortus 2014-02-05 05:11:04 EST
Created attachment 859561 [details]
proposed patch to search whiteboard by default
Comment 3 Jaroslav Kortus 2014-02-05 05:14:02 EST
Created attachment 859562 [details]
search by whiteboard by default

paths fixed to start at repo root
Comment 4 Roman Joost 2014-09-17 21:07:09 EDT
I'd like to see this implemented as well. I'll have to click 3 to 5 times to get the search results, where as the whiteboard would make it so much more easier and would save me quite a lot of mouse clicks.
Comment 5 Hui Wang 2017-01-19 01:09:34 EST
https://gerrit.beaker-project.org/#/c/5585/

Note You need to log in before you can comment on or make changes to this bug.